Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_ice_cfg
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_ice_cfg	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/ORCA2_LIM3_PISCES/EXP00/namelist_ice_cfg	(revision 8531)
@@ -1,64 +1,84 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !! ESIM configuration namelist: Overwrites SHARED/namelist_ice_lim3_ref
-!!              1 - Generic parameters                 (namice_run)
-!!              2 - Ice thickness discretization       (namice_itd)
-!!              3 - Ice dynamics                       (namice_dyn)
-!!              4 - Ice ridging/rafting                (namice_rdgrft)
-!!              5 - Ice rheology                       (namice_rhg)
-!!              6 - Ice advection                      (namice_adv)
-!!              7 - Ice thermodynamics                 (namice_thd)
-!!              8 - Ice salinity                       (namice_sal)
-!!              9 - Ice melt ponds                     (namice_mp)
-!!             10 - Ice initialization                 (namice_ini)
-!!             11 - Ice/snow albedos                   (namice_alb)
-!!             12 - Ice diagnostics                    (namice_dia)
+!!              1 - Generic parameters                 (nampar)
+!!              2 - Ice thickness discretization       (namitd)
+!!              3 - Ice dynamics                       (namdyn)
+!!              4 - Ice ridging/rafting                (namdyn_rdgrft)
+!!              5 - Ice rheology                       (namdyn_rhg)
+!!              6 - Ice advection                      (namdyn_adv)
+!!              7 - Ice surface forcing                (namforcing)
+!!              8 - Ice thermodynamics                 (namthd)
+!!              9 - Ice heat diffusion                 (namthd_zdf)
+!!             10 - Ice lateral melting                (namthd_da)
+!!             11 - Ice growth in open water           (namthd_do)
+!!             12 - Ice salinity                       (namthd_sal)
+!!             13 - Ice melt ponds                     (nammp)
+!!             14 - Ice initialization                 (namini)
+!!             15 - Ice/snow albedos                   (namalb)
+!!             16 - Ice diagnostics                    (namdia)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !
 !------------------------------------------------------------------------------
-&namice_run     !   Generic parameters
+&nampar     !   Generic parameters
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_itd     !   Ice discretization
+&namitd     !   Ice discretization
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_dyn     !   Ice dynamics
+&namdyn     !   Ice dynamics
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_rdgrft  !   Ice ridging/rafting
+&namdyn_rdgrft  !   Ice ridging/rafting
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_rhg     !   Ice rheology
+&namdyn_rhg     !   Ice rheology
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_adv     !   Ice advection
+&namdyn_adv     !   Ice advection
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_thd     !   Ice thermodynamics
+&namforcing     !   Ice surface forcing
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_sal     !   Ice salinity
+&namthd     !   Ice thermodynamics
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namicemp      !   Melt ponds
+&namthd_zdf     !   Ice heat diffusion
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_ini     !   Ice initialization
+&namthd_da     !   Ice lateral melting
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_alb     !   albedo parameters
+&namthd_do     !   Ice growth in open water
 !------------------------------------------------------------------------------
 /
 !------------------------------------------------------------------------------
-&namice_dia     !   Diagnostics
+&namthd_sal     !   Ice salinity
 !------------------------------------------------------------------------------
 /
+!------------------------------------------------------------------------------
+&nammp      !   Melt ponds
+!------------------------------------------------------------------------------
+/
+!------------------------------------------------------------------------------
+&namini     !   Ice initialization
+!------------------------------------------------------------------------------
+/
+!------------------------------------------------------------------------------
+&namalb     !   albedo parameters
+!------------------------------------------------------------------------------
+/
+!------------------------------------------------------------------------------
+&namdia     !   Diagnostics
+!------------------------------------------------------------------------------
+/
Index: /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref
===================================================================
--- /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8530)
+++ /branches/2017/dev_r8183_ICEMODEL/NEMOGCM/CONFIG/SHARED/namelist_ice_lim3_ref	(revision 8531)
@@ -1,20 +1,24 @@
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !! ESIM namelist:  
-!!              1 - Generic parameters                 (namice_run)
-!!              2 - Ice thickness discretization       (namice_itd)
-!!              3 - Ice dynamics                       (namice_dyn)
-!!              4 - Ice ridging/rafting                (namice_rdgrft)
-!!              5 - Ice rheology                       (namice_rhg)
-!!              6 - Ice advection                      (namice_adv)
-!!              7 - Ice thermodynamics                 (namice_thd)
-!!              8 - Ice salinity                       (namice_sal)
-!!              9 - Ice melt ponds                     (namice_mp)
-!!             10 - Ice initialization                 (namice_ini)
-!!             11 - Ice/snow albedos                   (namice_alb)
-!!             12 - Ice diagnostics                    (namice_dia)
+!!              1 - Generic parameters                 (nampar)
+!!              2 - Ice thickness discretization       (namitd)
+!!              3 - Ice dynamics                       (namdyn)
+!!              4 - Ice ridging/rafting                (namdyn_rdgrft)
+!!              5 - Ice rheology                       (namdyn_rhg)
+!!              6 - Ice advection                      (namdyn_adv)
+!!              7 - Ice surface forcing                (namforcing)
+!!              8 - Ice thermodynamics                 (namthd)
+!!              9 - Ice heat diffusion                 (namthd_zdf)
+!!             10 - Ice lateral melting                (namthd_da)
+!!             11 - Ice growth in open water           (namthd_do)
+!!             12 - Ice salinity                       (namthd_sal)
+!!             13 - Ice melt ponds                     (nammp)
+!!             14 - Ice initialization                 (namini)
+!!             15 - Ice/snow albedos                   (namalb)
+!!             16 - Ice diagnostics                    (namdia)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !
 !------------------------------------------------------------------------------
-&namice_run     !   Generic parameters
+&nampar     !   Generic parameters
 !------------------------------------------------------------------------------
    jpl              =   5             !  number of ice  categories
@@ -35,5 +39,5 @@
 /
 !------------------------------------------------------------------------------
-&namice_itd     !   Ice discretization
+&namitd     !   Ice discretization
 !------------------------------------------------------------------------------
    rn_himean        =   2.0           !  expected domain-average ice thickness (m)
@@ -41,5 +45,5 @@
 /
 !------------------------------------------------------------------------------
-&namice_dyn     !   Ice dynamics
+&namdyn     !   Ice dynamics
 !------------------------------------------------------------------------------
    ln_dynFULL       = .true.          !  dyn.: full ice dynamics               (rheology + advection + ridging/rafting + correction)
@@ -49,5 +53,4 @@
       rn_vice       =   0.            !        prescribed ice v-velocity
    rn_ishlat        =   2.            !  free slip (0) ; partial slip (0-2) ; no slip (2) ; strong slip (>2)
-   rn_cio           =   5.0e-03       !  ice-ocean drag coefficient (-)
    ln_landfast      = .false.         !  landfast ice parameterization (T or F)                           
       rn_gamma      =   0.15          !     fraction of ocean depth that ice must reach to initiate landfast
@@ -59,5 +62,5 @@
 /
 !------------------------------------------------------------------------------
-&namice_rdgrft  !   Ice ridging/rafting
+&namdyn_rdgrft  !   Ice ridging/rafting
 !------------------------------------------------------------------------------
           ! -- ice_rdgrft_strength -- !
@@ -86,5 +89,5 @@
 /
 !------------------------------------------------------------------------------
-&namice_rhg     !   Ice rheology
+&namdyn_rhg     !   Ice rheology
 !------------------------------------------------------------------------------
    ln_rhg_EVP       = .true.          !  EVP rheology
@@ -96,5 +99,5 @@
 /
 !------------------------------------------------------------------------------
-&namice_adv     !   Ice advection
+&namdyn_adv     !   Ice advection
 !------------------------------------------------------------------------------
    ln_adv_Pra       = .false.         !  Advection scheme (Prather)
@@ -103,89 +106,99 @@
 /
 !------------------------------------------------------------------------------
-&namice_thd     !   Ice thermodynamics
-!------------------------------------------------------------------------------
-                     ! -- icethd_dif -- !
-   rn_kappa_i       =   1.0             !  radiation attenuation coefficient in sea ice [1/m]
-   ln_cndi_U64      = .false.           !  sea ice thermal conductivity: k = k0 + beta.S/T            (Untersteiner, 1964)
-   ln_cndi_P07      = .true.            !  sea ice thermal conductivity: k = k0 + beta1.S/T - beta2.T (Pringle et al., 2007)
-   ln_dqns_i        = .true.            !  change the surface non-solar flux with surface temperature (T) or not (F)
-   rn_cnd_s         =   0.31            !  thermal conductivity of the snow (0.31 W/m/K, Maykut and Untersteiner, 1971)
-                                        !     Obs: 0.1-0.5 (Lecomte et al, JAMES 2013)
-                      ! -- icethd_dh -- !
-   ln_icedH         = .true.            !  activate ice thickness change from growing/melting (T) or not (F)
-   rn_blow_s        =   0.66            !     mesure of snow blowing into the leads
-                                        !     = 1 => no snow blowing, < 1 => some snow blowing
-                      ! -- icethd_da -- !
-   ln_icedA         = .true.            !  activate lateral melting param. (T) or not (F)
-      rn_beta       =   1.0             !     coef. beta for lateral melting param. Recommended range=[0.8-1.2]
-                                        !      => decrease = more melt and melt peaks toward higher concentration (A~0.5 for beta=1 ; A~0.8 for beta=0.2)
-                                        !         0.3 = best fit for western Fram Strait and Antarctica
-                                        !         1.4 = best fit for eastern Fram Strait      
-      rn_dmin       =   8.              !     minimum floe diameter for lateral melting param. Recommended range=[6-10]
-                                        !      => 6  vs 8m = +40% melting at the peak (A~0.5)
-                                        !         10 vs 8m = -20% melting
-                     ! -- icethd_lac -- !
-   ln_icedO         = .true.            !  activate ice growth in open-water (T) or not (F)
-      rn_hinew      =   0.1             !     thickness for new ice formation in open water (m), must be larger than rn_hnewice
-      ln_frazil     = .false.           !     Frazil ice parameterization (ice collection as a function of wind)
-         rn_maxfraz =   1.0             !        maximum fraction of frazil ice collecting at the ice base
-         rn_vfraz   =   0.417           !        thresold drift speed for frazil ice collecting at the ice bottom (m/s)
-         rn_Cfraz   =   5.0             !        squeezing coefficient for frazil ice collecting at the ice bottom
-                         ! -- icestp -- !
-   nn_iceflx        =  -1               !  Redistribute heat flux over ice categories
-                                        !   =-1  Do nothing (needs N(cat) fluxes)
-                                        !        ==> forced mode only
-                                        !   = 0  Average N(cat) fluxes then apply the average over the N(cat) ice
-                                        !        ==> forced and coupled modes
-                                        !   = 1  Average N(cat) fluxes then redistribute over the N(cat) ice using T-ice and albedo sensitivity
-                                        !        ==> forced mode only
-                                        !   = 2  Redistribute a single flux over categories
-                                        !        ==> coupled mode only
-/
-!------------------------------------------------------------------------------
-&namice_sal     !   Ice salinity
-!------------------------------------------------------------------------------
-                    ! -- icethd_sal -- !
-   ln_icedS       = .true.             !  activate gravity drainage and flushing (T) or not (F)
-   nn_icesal      =   2                !  ice salinity option
-                                       !     1: constant ice salinity (S=rn_icesal)
-                                       !     2: varying salinity parameterization S(z,t)
-                                       !     3: prescribed salinity profile S(z), Schwarzacher, 1959
-   rn_icesal      =   4.               !    (nn_icesal=1) ice salinity (g/kg)
-   rn_sal_gd      =   5.               !  restoring ice salinity, gravity drainage (g/kg)
-   rn_time_gd     =   1.73e+6          !  restoring time scale, gravity drainage  (s)
-   rn_sal_fl      =   2.               !  restoring ice salinity, flushing (g/kg)
-   rn_time_fl     =   8.64e+5          !  restoring time scale, flushing (s)
-   rn_simax       =  20.               !  maximum tolerated ice salinity (g/kg)
-   rn_simin       =   0.1              !  minimum tolerated ice salinity (g/kg)
-/
-!------------------------------------------------------------------------------
-&namicemp      !   Melt ponds
-!------------------------------------------------------------------------------
-                    ! -- limmp      -- !
-   ln_pnd         = .false.            !  active melt ponds
-   ln_pnd_rad     = .false.            !  active melt ponds radiative coupling
-   ln_pnd_fw      = .false.            !  active melt ponds freshwater coupling
-   nn_pnd_scheme  =   0                !  type of melt pond scheme  : =0 prescribed ( Tsu=0 ), =1 empirical, =2 topographic
-   rn_apnd        =   0.2              !  prescribed pond fraction, at Tsu=0  : (0<rn_apnd<1, nn_pnd_scheme = 0)
-   rn_hpnd        =   0.05             !  prescribed pond depth, at Tsu=0     : (0<rn_apnd<1, nn_pnd_scheme = 0)
-/
-!------------------------------------------------------------------------------
-&namice_ini     !   Ice initialization
-!------------------------------------------------------------------------------
-                     ! -- iceistate -- !
-   ln_iceini      = .true.             !  activate ice initialization (T) or not (F)
-   ln_iceini_file = .false.            !  netcdf file provided for initialization (T) or not (F)
-   rn_thres_sst   =   2.0              !  max delta temp. above Tfreeze with initial ice = (sst - tfreeze)
-   rn_hts_ini_n   =   0.3              !  initial real snow thickness (m), North
-   rn_hts_ini_s   =   0.3              !        "            "             South
-   rn_hti_ini_n   =   3.0              !  initial real ice thickness  (m), North
-   rn_hti_ini_s   =   1.0              !        "            "             South
-   rn_ati_ini_n   =   0.9              !  initial ice concentration   (-), North
-   rn_ati_ini_s   =   0.9              !        "            "             South
-   rn_smi_ini_n   =   6.3              !  initial ice salinity     (g/kg), North
-   rn_smi_ini_s   =   6.3              !        "            "             South
-   rn_tmi_ini_n   = 270.               !  initial ice/snw temperature (K), North
-   rn_tmi_ini_s   = 270.               !        "            "             South
+&namforcing     !   Ice surface forcing
+!------------------------------------------------------------------------------
+   rn_cio           =   5.0e-03       !  ice-ocean drag coefficient (-)
+   rn_blow_s        =   0.66          !  mesure of snow blowing into the leads
+                                      !     = 1 => no snow blowing, < 1 => some snow blowing
+   nn_iceflx        =  -1             !  Redistribute heat flux over ice categories
+                                      !     =-1  Do nothing (needs N(cat) fluxes)
+                                      !          ==> forced mode only
+                                      !     = 0  Average N(cat) fluxes then apply the average over the N(cat) ice
+                                      !          ==> forced and coupled modes
+                                      !     = 1  Average N(cat) fluxes then redistribute over the N(cat) ice using T-ice and albedo sensitivity
+                                      !          ==> forced mode only
+                                      !     = 2  Redistribute a single flux over categories
+                                      !          ==> coupled mode only
+/
+!------------------------------------------------------------------------------
+&namthd     !   Ice thermodynamics
+!------------------------------------------------------------------------------
+   ln_icedH         = .true.          !  activate ice thickness change from growing/melting (T) or not (F)
+   ln_icedA         = .true.          !  activate lateral melting param. (T) or not (F)
+   ln_icedO         = .true.          !  activate ice growth in open-water (T) or not (F)
+   ln_icedS         = .true.          !  activate gravity drainage and flushing (T) or not (F)
+/
+!------------------------------------------------------------------------------
+&namthd_zdf     !   Ice heat diffusion
+!------------------------------------------------------------------------------
+   ln_zdf_Beer      = .true.          !  Heat diffusion follows a Beer law
+   ln_cndi_U64      = .false.         !  sea ice thermal conductivity: k = k0 + beta.S/T            (Untersteiner, 1964)
+   ln_cndi_P07      = .true.          !  sea ice thermal conductivity: k = k0 + beta1.S/T - beta2.T (Pringle et al., 2007)
+   rn_cnd_s         =   0.31          !  thermal conductivity of the snow (0.31 W/m/K, Maykut and Untersteiner, 1971)
+                                      !     Obs: 0.1-0.5 (Lecomte et al, JAMES 2013)
+   rn_kappa_i       =   1.0           !  radiation attenuation coefficient in sea ice [1/m]
+   ln_dqns_i        = .true.          !  change the surface non-solar flux with surface temperature (T) or not (F)
+/
+!------------------------------------------------------------------------------
+&namthd_da     !   Ice lateral melting
+!------------------------------------------------------------------------------
+   rn_beta          =   1.0           !  coef. beta for lateral melting param. Recommended range=[0.8-1.2]
+                                      !   => decrease = more melt and melt peaks toward higher concentration (A~0.5 for beta=1 ; A~0.8 for beta=0.2)
+                                      !      0.3 = best fit for western Fram Strait and Antarctica
+                                      !      1.4 = best fit for eastern Fram Strait      
+   rn_dmin          =   8.            !  minimum floe diameter for lateral melting param. Recommended range=[6-10]
+                                      !   => 6  vs 8m = +40% melting at the peak (A~0.5)
+                                      !      10 vs 8m = -20% melting
+/
+!------------------------------------------------------------------------------
+&namthd_do     !   Ice growth in open water
+!------------------------------------------------------------------------------
+   rn_hinew         =   0.1           !  thickness for new ice formation in open water (m), must be larger than rn_hnewice
+   ln_frazil        = .false.         !  Frazil ice parameterization (ice collection as a function of wind)
+      rn_maxfraz    =   1.0           !     maximum fraction of frazil ice collecting at the ice base
+      rn_vfraz      =   0.417         !     thresold drift speed for frazil ice collecting at the ice bottom (m/s)
+      rn_Cfraz      =   5.0           !     squeezing coefficient for frazil ice collecting at the ice bottom
+/
+!------------------------------------------------------------------------------
+&namthd_sal     !   Ice salinity
+!------------------------------------------------------------------------------
+   nn_icesal        =   2             !  ice salinity option
+                                      !     1: constant ice salinity (S=rn_icesal)
+                                      !     2: varying salinity parameterization S(z,t)
+                                      !     3: prescribed salinity profile S(z), Schwarzacher, 1959
+   rn_icesal        =   4.            !    (nn_icesal=1) ice salinity (g/kg)
+   rn_sal_gd        =   5.            !  restoring ice salinity, gravity drainage (g/kg)
+   rn_time_gd       =   1.73e+6       !  restoring time scale, gravity drainage  (s)
+   rn_sal_fl        =   2.            !  restoring ice salinity, flushing (g/kg)
+   rn_time_fl       =   8.64e+5       !  restoring time scale, flushing (s)
+   rn_simax         =  20.            !  maximum tolerated ice salinity (g/kg)
+   rn_simin         =   0.1           !  minimum tolerated ice salinity (g/kg)
+/
+!------------------------------------------------------------------------------
+&nammp      !   Melt ponds
+!------------------------------------------------------------------------------
+   ln_pnd           = .false.         !  active melt ponds
+   ln_pnd_rad       = .false.         !  active melt ponds radiative coupling
+   ln_pnd_fw        = .false.         !  active melt ponds freshwater coupling
+   nn_pnd_scheme    =   0             !  type of melt pond scheme  : =0 prescribed ( Tsu=0 ), =1 empirical, =2 topographic
+   rn_apnd          =   0.2           !  prescribed pond fraction, at Tsu=0  : (0<rn_apnd<1, nn_pnd_scheme = 0)
+   rn_hpnd          =   0.05          !  prescribed pond depth, at Tsu=0     : (0<rn_apnd<1, nn_pnd_scheme = 0)
+/
+!------------------------------------------------------------------------------
+&namini     !   Ice initialization
+!------------------------------------------------------------------------------
+   ln_iceini        = .true.          !  activate ice initialization (T) or not (F)
+   ln_iceini_file   = .false.         !  netcdf file provided for initialization (T) or not (F)
+   rn_thres_sst     =   2.0           !  max delta temp. above Tfreeze with initial ice = (sst - tfreeze)
+   rn_hts_ini_n     =   0.3           !  initial real snow thickness (m), North
+   rn_hts_ini_s     =   0.3           !        "            "             South
+   rn_hti_ini_n     =   3.0           !  initial real ice thickness  (m), North
+   rn_hti_ini_s     =   1.0           !        "            "             South
+   rn_ati_ini_n     =   0.9           !  initial ice concentration   (-), North
+   rn_ati_ini_s     =   0.9           !        "            "             South
+   rn_smi_ini_n     =   6.3           !  initial ice salinity     (g/kg), North
+   rn_smi_ini_s     =   6.3           !        "            "             South
+   rn_tmi_ini_n     = 270.            !  initial ice/snw temperature (K), North
+   rn_tmi_ini_s     = 270.            !        "            "             South
 
    sn_hti = 'Ice_initialization'    , -12 ,'hti'   ,  .false.  , .true., 'yearly'  , '' , '', ''
@@ -198,24 +211,24 @@
 /
 !------------------------------------------------------------------------------
-&namice_alb     !   albedo parameters
-!------------------------------------------------------------------------------
-   nn_ice_alb     =    1               !  parameterization of ice/snow albedo
-                                       !     0: Shine & Henderson-Sellers (JGR 1985), giving clear-sky albedo
-                                       !     1: "home made" based on Brandt et al. (JClim 2005)
-                                       !                         and Grenfell & Perovich (JGR 2004), giving cloud-sky albedo
-                                       !     2: as 1 with melt ponds
-   rn_alb_sdry    =   0.85             !  dry snow albedo         : 0.80 (nn_ice_alb = 0); 0.85 (nn_ice_alb = 1); obs 0.85-0.87 (cloud-sky)
-   rn_alb_smlt    =   0.75             !  melting snow albedo     : 0.65 ( '' )          ; 0.75 ( '' )          ; obs 0.72-0.82 ( '' )
-   rn_alb_idry    =   0.60             !  dry ice albedo          : 0.72 ( '' )          ; 0.60 ( '' )          ; obs 0.54-0.65 ( '' )
-   rn_alb_imlt    =   0.50             !  bare puddled ice albedo : 0.53 ( '' )          ; 0.50 ( '' )          ; obs 0.49-0.58 ( '' )
-   rn_alb_dpnd    =   0.27             !  ponded ice albedo       : 0.25 ( '' )          ; 0.27 ( '' )          ; obs 0.10-0.30 ( '' )
-/
-!------------------------------------------------------------------------------
-&namice_dia     !   Diagnostics
-!------------------------------------------------------------------------------
-   ln_icediachk   = .false.            !  check online the heat, mass & salt budgets (T) or not (F)
-   ln_icediahsb   = .false.            !  output the heat, mass & salt budgets (T) or not (F)
-   ln_icectl      = .false.            !  ice points output for debug (T or F)
-   iiceprt        =  10                !  i-index for debug
-   jiceprt        =  10                !  j-index for debug
-/
+&namalb     !   albedo parameters
+!------------------------------------------------------------------------------
+   nn_ice_alb       =    1            !  parameterization of ice/snow albedo
+                                      !     0: Shine & Henderson-Sellers (JGR 1985), giving clear-sky albedo
+                                      !     1: "home made" based on Brandt et al. (JClim 2005)
+                                      !                         and Grenfell & Perovich (JGR 2004), giving cloud-sky albedo
+                                      !     2: as 1 with melt ponds
+   rn_alb_sdry      =   0.85          !  dry snow albedo         : 0.80 (nn_ice_alb = 0); 0.85 (nn_ice_alb = 1); obs 0.85-0.87 (cloud-sky)
+   rn_alb_smlt      =   0.75          !  melting snow albedo     : 0.65 ( '' )          ; 0.75 ( '' )          ; obs 0.72-0.82 ( '' )
+   rn_alb_idry      =   0.60          !  dry ice albedo          : 0.72 ( '' )          ; 0.60 ( '' )          ; obs 0.54-0.65 ( '' )
+   rn_alb_imlt      =   0.50          !  bare puddled ice albedo : 0.53 ( '' )          ; 0.50 ( '' )          ; obs 0.49-0.58 ( '' )
+   rn_alb_dpnd      =   0.27          !  ponded ice albedo       : 0.25 ( '' )          ; 0.27 ( '' )          ; obs 0.10-0.30 ( '' )
+/
+!------------------------------------------------------------------------------
+&namdia     !   Diagnostics
+!------------------------------------------------------------------------------
+   ln_icediachk     = .false.         !  check online the heat, mass & salt budgets (T) or not (F)
+   ln_icediahsb     = .false.         !  output the heat, mass & salt budgets (T) or not (F)
+   ln_icectl        = .false.         !  ice points output for debug (T or F)
+   iiceprt          =  10             !  i-index for debug
+   jiceprt          =  10             !  j-index for debug
+/
